Subject: RE: [Sip] draft-ietf-sip-asserted-identity-01

From: "Drage, Keith (Keith)" <[email-masked]>
Date: Fri, 14 Jun 2002 13:35:00 +0100

Heavily snipped with response in line below

Keith

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]
> Sent: 14 June 2002 06:53
> To: Peterson, Jon
> Cc: [email-masked]
> Subject: RE: [Sip] draft-ietf-sip-asserted-identity-01
> 
> 
> Peterson, Jon writes:
> 
>  > So, you're honestly trying to tell me that users will save 
> on long-distance
>  > charges depending on how they hint at their calling party 
> number? Do you
>  > actually work for a telephone company?
> 
> no, but that is how the telephone network works: it charges based on
> called and calling party numbers.
> 
> another application is a user having two telephone numbers, one for
> private and another for company use.  when he makes a call, he chooses
> which "line" to use so that the right calling party number will get
> charged.  there is still only one username/password.  
> 
> users have been seriously asking this also for mobile phones: two
> calling party numbers with a single sim card.  now some 
> vendors have two
> sim cards in the cell phone in order to accomplish this, 
> which is really
> silly (your term).  so it looks to me that even the 3gpp guys may want
> what i'm proposing.

And this is exactly one of the ways that 3GPP are using the current draft. However as the user is already "registered" he does not need a password in 3GPP. We know that he is a valid user relating to one of a set of public user identities, then if that public user identity turns up as the hint, then the associated service profile is the one that he wishes to use.

Even if you do not wish to have the 3GPP registration tie ins, you could still do the authorization on a per call basis and get the same capability.

I think one of the things you are telling as is that you actually require multiple identities from the user. There are other identities that would have been useful from the 3GPP perspective that would have helped in providing the identification services to remote users, but we will have to wait for the long term approach for that as far as I understand. What we have at the moment is one identity which primarily relates to identifying the user as far as the network is concerned, e.g. in relation to service profile, billing. Where that identity is the same as that used for other identification then it can be used. Where it is not then we have to wait for the long term approach. This if I require an asserted return call number that is different from the asserted identity (i.e. an asserted form of the Reply-To header) then I will have to wait for the long term approach. Therefore even with the P-Asserted-Identity I cannot provide a fully flexible calling line identity presentati!
on service.

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip